This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 8801 - wvdial not working with ISP
wvdial not working with ISP
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-24 11:13 EST by Brad Johnston
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 22:47:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brad Johnston 2000-01-24 11:13:59 EST
I have two ISP's. wvdial works with one but not the other. The one that it
fails to work with has Cisco 5300 equipment. The one that it works with
fine has Lucent Portmaster 3's.

Is it wvdial, or the ISP? Either way, I'd like to know how to resolve it
as I work for the ISP that it doesn't work with :)

I'm on a red hat support mailing list and they suggested I submit a report.

Here's the logs

--------------

WvDial: Internet dialer version 1.40
Initializing modem.
Sending: ATZ
ATZ

OK
Sending: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0

OK
Modem initialized.
Sending: ATDT xxxxxxx
Waiting for carrier.
ATDT xxxxxxx

CONNECT 42000 V42bis
Carrier detected.  Waiting for prompt.


User Access Verification

Username: Looks like a login prompt.
Sending: xxxx (sending my correct username)
xxxx
Password: Looks like a password prompt.
Sending: (password)


mmi-5300-1>Hmm... a prompt.  Sending "ppp".
ppp
IP address or hostname: Looks like a login prompt.
Sending: xxxx (sending my username???)
xxxx
Translating "XXXX"...domain server (xxx.xxx.xxx.xxx)

% Bad IP address
mmi-5300-1>Hmm... a prompt.  Sending "ppp".
Don't know what to do!  Starting pppd and hoping for the best.
Starting pppd at Sun Dec  5 02:30:48 1999
PPP daemon has died! (exit code = 10)
Disconnecting at Sun Dec  5 02:31:19 1999
Auto Reconnect will be attempted in 5 seconds
pppd error!  Look for an explanation in /var/log/messages.

---------
Here is /var/log/messages
---------

Dec  5 02:28:58 trance ifup-ppp: pppd started for ppp1 on /dev/ttyS0 at
115200
Dec  5 02:28:58 trance modprobe: can't locate module char-major-108
Dec  5 02:28:58 trance pppd[5901]: pppd 2.3.10 started by root, uid 0
Dec  5 02:28:59 trance WvDial: WvDial: Internet dialer version 1.40
Dec  5 02:28:59 trance WvDial: Initializing modem.
Dec  5 02:28:59 trance WvDial: Sending: ATZ
Dec  5 02:29:00 trance WvDial: ATZ
Dec  5 02:29:00 trance WvDial: OK
Dec  5 02:29:00 trance WvDial: Sending: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55
+FCLASS=0
Dec  5 02:29:00 trance WvDial: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0
Dec  5 02:29:00 trance WvDial: OK
Dec  5 02:29:00 trance WvDial: Modem initialized.
Dec  5 02:29:00 trance WvDial: Sending: ATDT xxxxxxx
Dec  5 02:29:00 trance WvDial: Waiting for carrier.
Dec  5 02:29:00 trance WvDial: ATDT xxxxxxx
Dec  5 02:29:27 trance WvDial: CONNECT 42000 V42bis
Dec  5 02:29:27 trance WvDial: Carrier detected.  Waiting for prompt.
Dec  5 02:29:27 trance WvDial: User Access Verification
Dec  5 02:29:27 trance WvDial: Username:
Dec  5 02:29:27 trance WvDial: Looks like a login prompt.
Dec  5 02:29:27 trance WvDial: Sending: xxxx
Dec  5 02:29:27 trance WvDial: xxxx
Dec  5 02:29:27 trance WvDial: Password:
Dec  5 02:29:27 trance WvDial: Looks like a password prompt.
Dec  5 02:29:27 trance WvDial: Sending: (password)
Dec  5 02:29:28 trance WvDial: mmi-5300-1>
Dec  5 02:29:28 trance WvDial: Hmm... a prompt.  Sending "ppp".
Dec  5 02:29:29 trance WvDial: ppp
Dec  5 02:29:29 trance WvDial: IP address or hostname:
Dec  5 02:29:29 trance WvDial: Looks like a login prompt.
Dec  5 02:29:29 trance WvDial: Sending: xxxx
Dec  5 02:29:29 trance WvDial: xxxx
Dec  5 02:29:29 trance WvDial: Translating "xxxx"...domain server
(xxx.xxx.xxx.xxx)
Dec  5 02:29:29 trance WvDial: % Bad IP address
Dec  5 02:29:30 trance WvDial: mmi-5300-1>
Dec  5 02:29:30 trance WvDial: Hmm... a prompt.  Sending "ppp".
Dec  5 02:29:30 trance WvDial: Don't know what to do!  Starting pppd and
hoping for the best.
Dec  5 02:29:30 trance pppd[5901]: Serial connection established.
Dec  5 02:29:30 trance pppd[5901]: Using interface ppp0
Dec  5 02:29:30 trance pppd[5901]: Connect: ppp0 <--> /dev/ttyS0
Dec  5 02:29:51 trance gpm[476]: Error in protocol
Dec  5 02:29:51 trance last message repeated 12 times
Dec  5 02:30:01 trance pppd[5901]: LCP: timeout sending Config-Requests
Dec  5 02:30:01 trance pppd[5901]: Connection terminated.
Dec  5 02:30:01 trance pppd[5901]: Receive serial link is not 8-bit clean:
Dec  5 02:30:01 trance pppd[5901]: Problem: all had bit 7 set to 0
Dec  5 02:30:02 trance pppd[5901]: Exit.
Dec  5 02:30:02 trance modprobe: can't locate module char-major-108

------

Regards,

Brad Johnston
Comment 1 Nalin Dahyabhai 2000-01-31 09:52:59 EST
This is an instance of wvdial not knowing how to respond to the prompt from the
Cisco hardware.  What is the remote server expecting at this point?
Comment 2 j. alan eldridge 2000-10-06 01:17:12 EDT
this is the same problem that i have had with panix.com and have come to the
conclusion that the resolution is manual configuration (wvDial is not
configurable for specialized responses):

the below assumes that the problem is on interface ppp0, and that we are
doing a straight login with no PAP or CHAP authentication; change accordingly.

1. create a valid 'chat' script named chat-ppp0; this will look like:

# chat-ppp0 for panix.com
#
# errors
'ABORT' 'BUSY'
'ABORT' 'ERROR'
'ABORT' 'NO CARRIER'
'ABORT' 'NO DIALTONE'
'ABORT' 'Invalid Login'
'ABORT' 'Login incorrect'
# connect
''	'ATZ'
'OK' 	'ATDT121200000000'
'CONNECT' ''
# login to Annex
'please?' 'ppp'
'name:'   'my_username'
# NOTE: the \q in the next line prevents the password from
# being echoed to the log file if we are debugging the chat
# script; removing it means that the plain-text password is
# going to be in two places, not just one.
'word:'   '\qmy_password'
#
#EOF
##

2. add some new lines to the ifcfg-ppp0 file; these look like:

DEFABORT="yes"
DEBUG="no" # "yes" to log everything
INITSTRING="ATZ"
HARDFLOWCTL="yes"
ESCAPECHARS="no"
PPPOPTIONS="my-ppp-options go-here"
REMIP=""
NETMASK=""
IPADDR="123.123.123.123" # if you have a static IP
MRU=""
MTU=""
DISCONNECTTIMEOUT=15
RETRYTIMEOUT=5

3. comment out the WVDIALSECT= line in ifcfg-ppp0; this will cause ppp-watch
to attempt to use 'chat' instead. comment out the PAPNAME= line as well if you
are not using CHAP/PAP.

The interface should now come up w/o a problem, using 'chat' instead of
'wvDial'.
Comment 3 j. alan eldridge 2000-10-20 19:58:49 EDT
Since netcfg and linuxconf have had ppp support removed from them in 7.0, this
bug is critical in RH7. The only alternative is manual configuration. Evidence
suggests front line support personnel completely clueless when faced with this
problem; probability of them being able to talk a customer through manual ppp
setup using an editor to edit/create the above files is nil.
Comment 4 Andrew Bartlett 2000-11-19 17:13:07 EST
Remeber that wvdial has 'stupid mode' making it behave just like Win9X, just
starting PPP and hoping for the best.  Unless your ISP provides a script for
Win95 this should work without hassle.  wvdial still handles authentication and
the like, just passing it to pppd as pap and chap instead of sending it down the
line itself.
Comment 5 Stephen John Smoogen 2003-01-24 22:47:44 EST
Bug 8801 has been closed due to inactivity and the lack of other bugs similar to
it being opened by customers. Looking at the bug currently, it would seem to be
a specific ISP settings that is confusing the program. [And as always ppp
configuration is outside what Red Hat support offers.]

Note You need to log in before you can comment on or make changes to this bug.